:root {
    --main-color: #76cdd8;
    --secondary-color: white;
}

body {
    font-family: 'Open Sans', Helvetica, Arial, sans-serif;
    font-size: 18px;
    width: 80%;
    padding-top: 1.5em;
    padding-bottom: 1.5em;
    display: flex;
    flex-direction: column;
    margin: 0 auto;
    background-color: lightgrey;
}

.container {
    display: flex;
    flex-direction: column;
}

.main-container {
    display: flex;
    flex-direction: row;
    width: 100%;
    height: 20em;
}

.main-container h1 {
    font-size: 3em;
}

h2.main-color {
    color: var(--main-color);
}

section.reverse {
    flex-direction: row-reverse;
}

.main-container > .pic-block, .main-container > .info-block {
    display: flex;
    flex-direction: column;
    width: 50%;
    text-align: start;
    justify-content: center;
    align-items: center;
    position: relative;
}

.info-block, .more-info-block {
    background-color: var(--secondary-color);;
}

.pic-block {
    background-color: var(--main-color);
    color: var(--secondary-color);;
}

.main-container .info-block-content,
.section-container .info-block-content {
    display: flex;
    flex-direction: column;
    text-align: start;
    margin: 3em;
}

.main-container .info-block-content > h2,
.section-container .info-block-content > h2 {
    margin: 0;
}

p.italic {
    font-style: italic;
    line-height: 2em;
}

img {
    object-fit: cover;
    object-position: 50% 50%;
    width: 100%;
    height: 100%;
}

img.circle {
    border-radius: 50%;
    width: 15em;
    height: 15em;
}

p {
    font-size: 1em;
    line-height: 1.5em;
    margin-bottom: 0;
}

img.circle ~ p {
    font-size: 0.7em;
}

a {
    text-decoration: none;
}

.more-info-block, .payment-info-block {
    display: flex;
    flex-direction: row;
    margin-top: 1.5em;
    height: 30em;
}

.section-container > .info-block {
    display: flex;
    flex-direction: column;
    width: 70%;
    text-align: start;
    justify-content: center;
    align-items: center;
}

.more-info-block > .info-block-content {
    display: flex;
    flex-direction: column;
    width: 70%;
}

.payment-info-block > .info-block-content {
    display: flex;
    flex-direction: row;
    width: 70%;
}

.more-info-block > .pic-block,
.payment-info-block > .pic-block {
    width: 30%;
}

button {
    color: var(--secondary-color);
    background-color: #019999;
    align-self: flex-end;
    border-style: none;
    width: 10em;
    height: 3em;
    margin-top: 1em;
    margin-bottom: 0;
}

button.position-right {
    align-self: flex-end;
}

button.position-center {
    align-self: center;
}

.payment-info-block {
    background-color: var(--secondary-color);
}

.info-block-content > div[class^="payment"] {
    display: flex;
    flex-direction: column;
    width: 100%;
    border: 0.1em solid var(--main-color);
    background-color: var(--secondary-color);
    padding: 0;
    margin: 1.5em;
}

.info-block-content > div[class^="payment"]:first-child {
    margin-right: 0;
}

div[class^="payment"] > .head > h2 {
    padding-top: 1em;
    margin: 0;
    font-size: 1.2em;
}

div[class^="payment"] > .head > p {
    font-size: 0.8em;
}

.info-block-content > div[class^="payment"] > .head {
    color: var(--secondary-color);
    background-color: var(--main-color);
    height: 6em;
    text-align: center;
}

.payment-description {
    align-self: center;
    margin-top: 1em;
    margin-bottom: 0.5em;
}

.payment-description > p {
    font-size: 1em;
}

.application-form-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    position: relative;
}

.application-form-container > h2 {
    background-color: var(--main-color);
    color: var(--secondary-color);
    height: 5em;
    padding-left: 6.2em;
    padding-top: 2em;
}

.application-form-container > form {
    background-color: var(--secondary-color);
}

.application-form-container > .contact-information {
    display: flex;
    background-color: #019999;
    color: var(--secondary-color);
    justify-content: space-around;
    align-items: center;
    height: 15em;
    margin-top: 15em;
}

.application-form-container > .contact-information > address {
    display: flex;
    flex-direction: column;
    width: max-content;
    justify-self: flex-end;
    padding-left: 5em;
}

.application-form-container > .contact-information > .more-info {
    display: flex;
    flex-direction: column;
    width: max-content;
    justify-self: flex-end;
    padding-right: 5em;
}

form {
    display: flex;
    flex-direction: column;
    width: 70%;
    position: absolute;
    align-self: center;
    margin-bottom: 5em;
    padding-bottom: 3em;
}

input::placeholder,
textarea::placeholder {
    font-size: 1.3em;
    color: darkgrey;
    padding-left: 0.5em;
}

textarea::placeholder {
    padding-top: 0.5em;
}

.form-wrapper {
    display: flex;
    flex-direction: row;
    margin-top: 4em;
    margin-left: 4em;
    margin-right: 4em;
}

.input-fields {
    display: flex;
    flex-direction: column;
    width: 50%;
    align-content: center;
}

.input-fields input {
    width: 90%;
    height: 3em;
    padding: 0;
    margin-bottom: 1em;
}

.input-fields select {
    width: 90%;
    height: 2.5em;
    margin-bottom: 1em;
    font-size: 1em;
    color: darkgrey;
    padding-left: 0.3em;
}

select, input, textarea {
    -moz-box-sizing: content-box;
    -webkit-box-sizing: content-box;
    box-sizing: content-box;
}

.message-description {
    width: 50%;
    align-content: center;
}

.message-description textarea {
    width: 100%;
    height: 10em;
}

footer {
    align-self: center;
    font-size: 0.7em;
    padding-top: 1.5em;
}

.info-block.right:hover::before {
    content: "";
    top: 0;
    right: 0;
    position: absolute;
    border: 4em solid transparent;
    border-top: 0 solid transparent;
    border-right: 4em solid var(--main-color);
}

.info-block.left:hover::after {
    content: "";
    top: 0;
    left: 0;
    position: absolute;
    border: 4em solid transparent;
    border-top: 0 solid transparent;
    border-left: 4em solid var(--main-color);
}

.info-block.left:hover,
.info-block.right:hover {
    color: var(--main-color);
}

button:hover {
    background-color: rgb(118, 205, 216);
}

.payment-standard:hover,
.payment-advanced:hover {
    box-shadow: 0 0 0 0.2rem #24d4d4;
}

.payment-button:hover {
    background: #24d4d4;
}

.scaled:hover {
    transition: .5s ease-in-out;
    transform: scale(1.05);
    z-index: 1;
}

.discount-hidden {
    display: none;
}

.discount-hidden > .red-asterisk {
    color: red;
}

.discount-hidden.main-color-text {
    color: var(--main-color);
    font-size: 0.8em;
}

.payment-advanced:hover .discount-hidden {
    text-align: center;
    display: block;
}

input:focus, select:focus, textarea:focus {
    background-color: transparent;
    border-color: #24d4d4;
    box-shadow: 0 0 0 0.2rem #24d4d4;
    outline: none;
}
